For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Platform
    • Introduction
    • Screenings
    • Immigration
  • Endpoints
      • GETGet business visa eligibility and requirements
      • GETGet immigration case details
      • GETGet specific immigration case details
      • GETImmigration document
      • GETImmigration visa types
      • GETList of immigration cases
      • GETList of immigration cases for workers
      • GETRetrieve a required document for a case
      • GETRetrieve onboarding right-to-work case for a worker
      • POSTUpload a required immigration document
LogoLogo
SupportDeel Home
EndpointsImmigration

Retrieve onboarding right-to-work case for a worker

GET
/immigration/workers/:worker_id/onboarding-case
GET
/rest/v2/immigration/workers/:worker_id/onboarding-case
$curl -G https://api.letsdeel.com/rest/v2/immigration/workers/a6fb5c89-5abd-45d1-afc1-7e98d550eb71/onboarding-case \
> -H "Authorization: Bearer <token>" \
> -d contract_id=359pr8y
1{
2 "data": {
3 "id": "5f5b3b3b-4b3b-4b3b-4b3b-4b3b3b3b3b3b",
4 "status": "OPEN",
5 "process": {
6 "id": "5f5b3b3b-4b3b-4b3b-4b3b-4b3b3b3b3b3b",
7 "name": "WORK_AUTHORIZATION_VERIFICATION",
8 "status": "IN_REVIEW",
9 "rejection_note": "We couldn't accept the document because the file or photo that has been submitted cannot be read fully.",
10 "rejection_reason": "Poor image quality"
11 },
12 "contract": {
13 "id": "359pr8y"
14 },
15 "applicant": {
16 "id": "5f5b3b3b-4b3b-4b3b-4b3b-4b3b3b3b3b3b",
17 "external_id": "123456"
18 },
19 "case_type": "IMMIGRATION_DOCUMENT_REVIEW",
20 "documents": [
21 {
22 "id": "5f5b3b3b-4b3b-4b3b-4b3b-4b3b3b3b3b3b",
23 "status": "EXPIRING",
24 "document_type": "Eu blue card",
25 "expiration_date": "2023-10-31T13:45:30Z"
26 }
27 ],
28 "visa_type": "Eu blue card",
29 "created_at": "2023-10-31T13:45:30Z",
30 "updated_at": "2023-10-31T13:45:30Z",
31 "country_code": "DE",
32 "estimated_completion_date": "2023-10-31T13:45:30Z"
33 }
34}

Returns the right-to-work onboarding case for a worker, including any associated documents; returns an empty response if no open case exists. When a worker is associated with multiple contracts, supply contract_id to target a specific contract. Token scopes: worker:read

Was this page helpful?
Previous

Upload a required immigration document

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

worker_idstringRequired

The hris profile oid (public id) of the worker.

Query parameters

contract_idstringOptional

Filters the worker’s onboarding case to a specific contract. If the worker has multiple contracts and this parameter is omitted, the response may return a case from any associated contract; the response includes contract.id to indicate which contract was used. Provide this parameter for deterministic results.

Response

Successful operation.
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication